Page MenuHomePhabricator

Add phan to WikibaseQualityConstraints extension
Closed, ResolvedPublic

Description

As wmf deployed extension the WikibaseQualityConstraints extension should run phan on CI to found simple bugs in an earlier state of development.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterbuild: Add mediawiki/mediawiki-phan-config
integration/config : master[WikibaseQualityConstraints] Run phan job
integration/config : master[WikibaseQualityConstraints] Add phan dependency

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 31 2019, 9:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Daimona moved this task from Backlog to Extensions on the phan board.Sep 12 2019, 5:49 PM

Change 538398 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [WikibaseQualityConstraints] Add phan dependency

https://gerrit.wikimedia.org/r/538398

Change 538398 merged by jenkins-bot:
[integration/config@master] [WikibaseQualityConstraints] Add phan dependency

https://gerrit.wikimedia.org/r/538398

Done? Or is anything else still needed?

.phan/config.php and the composer change are still needed.

Change 539585 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikibaseQualityConstraints@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/539585

Change 539588 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [WikibaseQualityConstraints] Run phan job

https://gerrit.wikimedia.org/r/539588

Change 539588 merged by jenkins-bot:
[integration/config@master] [WikibaseQualityConstraints] Run phan job

https://gerrit.wikimedia.org/r/539588

Mentioned in SAL (#wikimedia-releng) [2019-09-30T20:47:09Z] <James_F> Zuul: Add phan job for WikibaseQualityConstraints T224773 and some phan dependencies for WikimediaMaintenance T224770.

Change 539585 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/539585

Jdforrester-WMF closed this task as Resolved.Sep 30 2019, 9:42 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Thank you!